# QStyledItemDelegate Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemDelegate.

### Constructor

- void QStyledItemDelegate(QObject parent)

### Constructor Properties

- prototype: The QStyledItemDelegate prototype object

### Prototype Object Properties

The QStyledItemDelegate prototype object inherits properties from the QAbstractItemDelegate prototype object and also has the following properties.

- String displayText(Object value, QLocale locale)
- QItemEditorFactory itemEditorFactory()
- void setItemEditorFactory(QItemEditorFactory factory)

### Instance Properties

QStyledItemDelegate objects have no special properties beyond those inherited from the QStyledItemDelegate prototype object.